Name:           openjpeg
Version:        1.1
Release:        3%{?dist}
Summary:        An open source JPEG 2000 codec
Group:          System Environment/Libraries
License:        BSD
URL:            http://www.openjpeg.org/
Source0:        http://www.openjpeg.org/openjpeg_v1_1.tar.gz
Patch0:         openjpeg-1.1-perms.patch
Patch1:         openjpeg-1.1-no-ldconfig.patch
Patch2:         openjpeg-1.1-soname.patch
Patch3:         openjpeg-1.1-limit_tags_for_decode.patch
Patch4:         openjpeg-1.1-nostrip.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The OpenJPEG library is an open-source JPEG 2000 codec written in C language. 
It has been developed in order to promote the use of JPEG 2000, the new 
still-image compression standard from the Joint Photographic Experts Group 
(JPEG). 

%package devel
Requires:       %{name} = %{version}-%{release}
Summary:        Development headers and libraries for openjpeg
Group:          Development/Libraries

%description devel
Development headers and libraries for compiling against openjpeg.

%prep
%setup -q -n OpenJPEG
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
make %{?_smp_mflags} COMPILERFLAGS="$RPM_OPT_FLAGS -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
make install INSTALLDIR=$RPM_BUILD_ROOT%{_libdir}
rm -f $RPM_BUILD_ROOT%{_libdir}/libopenjpeg.a
mkdir -p $RPM_BUILD_ROOT%{_includedir}/openjpeg
cp -av libopenjpeg/*.h $RPM_BUILD_ROOT%{_includedir}/openjpeg
cd $RPM_BUILD_ROOT%{_libdir}
ln -s libopenjpeg.so.1.0.0 libopenjpeg.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog README.linux
%{_libdir}/libopenjpeg.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/openjpeg
%{_libdir}/libopenjpeg.so

%changelog
* Tue Feb 13 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.1-3
- remove -s flag to prevent library strip (and make real debuginfo)

* Mon Feb 12 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.1-2
- limit tags for decode to optimize performance

* Thu Jan 11 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.1-1
- Initial package for Fedora Extras
